<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/AdminManager/Global.Master" CodeBehind="Template.aspx.cs" Inherits="Web.AdminManager.Setting.Template" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <script type="text/javascript">
        //创建位置HTML
        function BuildPlaceHtml(PlaceName, PlaceIndex, PicSizeInfo, PicType) {
            return "<tr class=\"pinfo\"><td class=\"pName\">" + PlaceName + "</td><td class=\"pIndex\">" + PlaceIndex + "</td><td>" + PicSizeInfo + "</td><td>" + PicType + "</td><td>&nbsp;<input class=\"ui-btn DelPlace\" type=\"button\" value=\"删除\"></td></tr>";
        }
        $(function () {
            $(".AddPlace").click(function () {
                var next = true;
                var PlaceName = $("input[name=PlaceName]").val();
                if (PlaceName == "") {
                    alert("广告位置名称不能为空");
                    $("input[name=PlaceName]").focus();
                    return false;
                }
                $(".AdPlaceList .pName").each(function () {
                    if (PlaceName == $(this).html()) {
                        alert("位置名称已经存在，请更换其它名称，名称不能重复");
                        $("input[name=PlaceName]").focus();
                        next = false;
                    }
                });
                if (!next) {
                    return next;
                }
                var PlaceIndex = $("input[name=PlaceIndex]").val();
                if (!$.isNumeric(PlaceIndex)) {
                    alert("位置标识必须为数值");
                    $("input[name=PlaceIndex]").focus();
                    return false;
                }
                $(".AdPlaceList .pIndex").each(function () {
                    if (PlaceIndex - 0 == $(this).html() - 0) {
                        alert("位置标识已经存在，请更换其它标识，标识不能重复");
                        $("input[name=PlaceIndex]").focus();
                        next = false;
                    }
                });
                if (!next) {
                    return next;
                }
                var PicSizeInfo = $("input[name=PicSizeInfo]").val();
                if (PicSizeInfo == "") {
                    alert("图片建议尺寸不能为空");
                    $("input[name=PicSizeInfo]").focus();
                    return false;
                }
                var PicTypeSelectValue = $("select[name=PicType]").val();
                var PicType = "多张";
                if (PicTypeSelectValue == "0")
                {
                    PicType = "单张";
                }
                $(".AdPlaceList").append(BuildPlaceHtml(PlaceName, PlaceIndex, PicSizeInfo, PicType));
                $("input[name=PlaceName]").val("");
                $("input[name=PlaceIndex]").val("");
                $("input[name=PicSizeInfo]").val("");
            });
            $(".BuildSetting").click(function () {
                var TemplateName = $("input[name=TemplateName]").val();
                if (TemplateName == "") {
                    alert("模版名称不能为空");
                    $("input[name=TemplateName]").focus();
                    return false;
                }
                var SetString = "TempName=" + TemplateName + "\r\n";
                var pinfoString = "";
                $(".pinfo").each(function () {
                    var infovalue = "";
                    var i = 0;
                    $(this).find("td").each(function () {
                        i++;
                        if (i == 5) {
                            return;
                        }
                        infovalue += $(this).html().replace("多张","1").replace("单张","0") + "@";
                    });
                    infovalue = infovalue.substring(0, infovalue.length - 1);
                    pinfoString += infovalue + ",";
                });
                pinfoString = pinfoString.substring(0, pinfoString.length - 1);
                SetString += "AdPlace=" + pinfoString;
                $("textarea[name=SettingValue]").val(SetString);
            });
            $(".DelPlace").live("click", function () {
                $(this).parent().parent().remove();
            });
            $(".LoadSetting").click(function () {
                var SettingString = $("textarea[name=SettingValue]").val();
                var Pars = SettingString.split(/\r?\n/);
                for (var i = 0; i < Pars.length; i++) {
                    var Par = Pars[i].split("=");
                    if (Par.length == 2) {
                        if (Par[0].toLowerCase() == "tempname") {
                            if (Par[1] != "") {
                                $("input[name=TemplateName]").val(Par[1]);
                            } else {
                                alert("配置信息有误，模版名称不能为空！");
                            }
                        }
                        if (Par[0].toLowerCase() == "adplace") {
                            var Place = Par[1].split(",");
                            for (var j = 0; j < Place.length; j++) {
                                var values = Place[j].split("@");

                                if (values.length == 4) {
                                    var PicType=values[3]=="0"?"单张":"多张";
                                    $(".AdPlaceList").append(BuildPlaceHtml(values[0], values[1], values[2], PicType));
                                }
                            }
                        }
                    }
                }
            });
        });
    </script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div id="UI_AddTempSetting" runat="server" visible="false">
        <table class="ui-table-bordered ui-table">
            <colgroup>
                <col style="width: 100px;" />
            </colgroup>
            <thead>
                <tr>
                    <th colspan="2">模版配置文件生成工具</th>
                </tr>
            </thead>
            <tr>
                <td>模版名称</td>
                <td>
                    <input type="text" class="ui-input-small" placeholder="" name="TemplateName" /></td>
            </tr>
            <tr>
                <td>广告位置</td>
                <td>
                    <table class="ui-table-bordered ui-table AdPlaceList">
                        <thead>
                            <tr>
                                <th>位置名称</th>
                                <th>位置标识</th>
                                <th>图片建议尺寸</th>
                                <th>图片类型</th>
                                <th>操作</th>
                            </tr>
                        </thead>
                        <tr>
                            <td>
                                <input type="text" class="ui-input-small" placeholder="广告位置名称" name="PlaceName" /></td>
                            <td>
                                <input type="text" class="ui-input-mini" placeholder="数字" name="PlaceIndex" /></td>
                            <td>
                                <input type="text" class="ui-input-small" placeholder="图片建议尺寸说明" name="PicSizeInfo" /></td>
                            <td>
                                <select name="PicType">
                                    <option value="1">多张</option>
                                    <option value="0">单张</option>
                                </select></td>
                            <td>&nbsp;
                                    <input type="button" class="ui-btn ui-btn-primary AddPlace" value="添加" name="Add" /></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>配置值</td>
                <td>
                    <textarea name="SettingValue" style="width: 400px; height: 100px;"></textarea></td>
            </tr>
            <tr>
                <td></td>
                <td>&nbsp;<input type="button" class="ui-btn ui-btn-primary BuildSetting" value="生成配置" /></td>
            </tr>
            <tr>
                <td></td>
                <td>&nbsp;<input type="button" class="ui-btn ui-btn-primary LoadSetting" value="读取配置" />
                    将配置文件内容复制到“配置值”，点读取可读取配置项以重新编辑</td>
            </tr>
            <tr>
                <td>制作步骤</td>
                <td>1、在主控/web/Template目录下创建一个空文件夹，并对其命名。命名建议带有您的独特标识，避免与其它作品重名，如：QZ_Green<br />
                    2、在模版目录下创建Setting.txt配置文件，并将文件存为UTF-8字符集文件，打开记事本-》文件-》另存为-》编码选择UTF-8，如下图：<br />
                    <img src="../images/temp_1.png" /><br />
                    3、在页面配置生成工具中配置您的模版信息及模版中的广告位信息，然后生成配置内容，将配置内容复制到Setting.txt保存<br />
                    4、后台-》网站模版-》安装模版，对您刚创建的模版进行安装，安装后便可对广告位添加内容，以配合您的模版制作<br />
                    5、开发制作模版<br />
                    6、制作完成，对模版进行截图，将截图文件保存到您的模版目录下，命名为face.png<br />
                    7、打包您的整个模版目录即可将您的作品分享给大家安装使用
                </td>
            </tr>
        </table>
    </div>
    <div id="UI_Detial" runat="server" visible="false">
        <form action="" method="post" class="ui-form ui-form-vertical">
            <fieldset>
                <legend>模版详细</legend>
                <table class="ui-table ui-table-bordered">
                    <colgroup>
                        <col style="width: 120px;" />
                    </colgroup>
                    <tr>
                        <td>模版名称
                        </td>
                        <td><%=temp.TempName %></td>
                    </tr>
                    <tr>
                        <td>模版目录名称
                        </td>
                        <td><%=temp.FloderName %></td>
                    </tr>
                    <tr>
                        <td>广告位置信息
                        </td>
                        <td>
                            <table>
                                <thead>
                                    <tr>
                                        <th>广告位</th>
                                        <th>标识符</th>
                                        <th>建议尺寸</th>
                                    </tr>
                                </thead>
                                <%foreach (System.Data.DataRow AdPlace in AdPlaceList)
                                  { %>
                                <tr>
                                    <td><%=AdPlace["PlaceName"] %></td>
                                    <td><%=AdPlace["PlaceIndex"] %></td>
                                    <td><%=AdPlace["PicSizeInfo"] %></td>
                                </tr>
                                <%} %>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>&nbsp;<input type="button" class="ui-btn ui-btn-primary" value="返回" onclick="history.back();" /></td>
                    </tr>
                </table>
            </fieldset>
        </form>
    </div>
    <div id="ui_Edit" runat="server" visible="false">
        <form action="" method="post" enctype="multipart/form-data" class="ui-form ui-form-vertical">
            <fieldset>
                <legend>模版安装</legend>
                <div class="ui-form-group">
                    <label class="ui-form-label">模版目录</label><div class="ui-form-ctrls">
                        <input type="text" name="FloderName" id="FloderName"
                            class="ui-input-small" value="" /><span
                                class="FloderName ui-help-inline">将模版文件夹复制到主控/web/template目录后输入模版文件夹名称</span>
                    </div>
                </div>
                <div class="ui-form-group">
                    <label class="ui-form-label">&nbsp;</label><div class="ui-form-ctrls">
                        <button class="ui-btn ui-btn-primary" type="submit">开始安装</button>
                        <button class="ui-btn" type="button" onclick="history.back();">返回</button>
                    </div>
                </div>
            </fieldset>
        </form>
    </div>
    <div id="UI_List" runat="server" visible="false">
        <table class="ui-table ui-table-bordered">
            <thead>
                <%
                    if (AgentUserId == 1)
                    {
                %>
                <tr>
                    <td colspan="4">
                        <a href="?Action=Add" class="ui-btn ui-btn-primary">安装新模版</a> &nbsp; <a href="?Action=AddTempSetting" class="ui-btn ui-btn-primary">制作模版</a>
                    </td>
                </tr>
                <%
                    }
                %>

                <tr>
                    <th>模版名称
                    </th>
                    <th>目录名称</th>
                    <th>缩略图
                    </th>
                    <th>操作
                    </th>
                </tr>
            </thead>
            <%=ShowList%>
            <tr>
                <td colspan="4" id="Pager" class="Pager" runat="server"></td>
            </tr>
        </table>
    </div>
</asp:Content>
